<ng-container *ngIf="user$ | async as user">
  <ng-container *ngIf="user.hasPasswordAuth; else setPassword">
    <mat-card class="half-width">
      <mat-card-header>
        <mat-card-title>Change Password</mat-card-title>
      </mat-card-header>
      <mat-divider></mat-divider>
      <mat-card-content>
        <form
          [formGroup]="form"
          (ngSubmit)="onSubmit()"
          id="change-password-form"
        >
          <mat-error class="server-error" *ngIf="error">{{ error }}</mat-error>
          <mat-form-field class="full-width first-field" appearance="outline">
            <mat-label>Current Password</mat-label>
            <input matInput type="password" formControlName="old_password" />
            <mat-error
              ><span *ngIf="old_password?.errors?.required"
                >Your current is required to change your password</span
              >
              <span *ngIf="old_password?.errors?.serverError">{{
                old_password?.errors?.serverError
              }}</span></mat-error
            >
          </mat-form-field>
          <mat-form-field class="full-width" appearance="outline">
            <mat-label>New Password</mat-label>
            <input matInput type="password" formControlName="new_password1" />
            <mat-error
              ><span *ngIf="new_password1?.errors?.minlength"
                >Your password should be at least 8 characters long</span
              >
              <span *ngIf="new_password1?.errors?.required"
                >Type in your new password</span
              >
            </mat-error>
          </mat-form-field>
          <mat-form-field class="full-width" data-cy="confirm-password" appearance="outline">
            <mat-label>Confirm New Password</mat-label>
            <input
              matInput
              type="password"
              formControlName="new_password2"
              gtInputMatcher="new_password1"
            />

            <mat-error
              ><span *ngIf="new_password2?.errors?.required"
                >Type in your new password</span
              ><span *ngIf="new_password2?.errors?.notEqual"
                >Your passwords don't match</span
              >
              <span *ngIf="new_password2?.errors?.serverError">{{
                new_password2?.errors?.serverError
              }}</span></mat-error
            >
          </mat-form-field>
          <gt-loading-button buttonText="Change Password" [loading]="loading">
            Change Password
          </gt-loading-button>
        </form>
      </mat-card-content>
    </mat-card></ng-container
  >
  <ng-template #setPassword>
    <mat-card *ngIf="!user.hasPasswordAuth" class="half-width">
      <mat-card-header>
        <mat-card-title>Set Password</mat-card-title>
      </mat-card-header>
      <mat-divider></mat-divider>
      <mat-card-content>
        <p class="confirm-email">
          GlitchTip will need to reconfirm your email before setting one.
        </p>
        <gt-loading-button
          *ngIf="!passwordResetSuccess"
          buttonText="Request set password email"
          [loading]="passwordResetLoading"
          (click)="passwordReset()"
        >
        </gt-loading-button>
        <p *ngIf="passwordResetSuccess" class="success-text">
          <mat-icon color="primary">check_circle</mat-icon>
          <span>Email sent</span>
        </p>
      </mat-card-content>
    </mat-card>
  </ng-template>
  <section></section>
</ng-container>
